Subject: [Tsvwg] SCTP: which ABORT cause code after exceeded retransmissions?

From: Schruefer Wolfgang <[email-masked]>
Date: Tue, 3 Aug 2004 09:47:12 +0200

Hello,

at the SCTP Interop in Muenster I noticed at least 2 implementations which sent an additional ABORT when a association was deleted due to no reponse from the peer (exceeded retransmissions). 
Although this behaviour is not standardized I think it has some advantage (e.g. for fault detection) compared to a silent deletion and I would like to implement it also. But to identify this type of ABORT I am not sure which ABORT cause code I may use.
My favourite solution would be to suggest a new cause code in the implementers guide, otherwise probably I would use "User Initiated Abort" as an workaround.
What do others think?

Viele Gruesse
Wolfgang  

 

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg